package com.xtd.project.assets.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;
import java.util.Date;

/**
 * 资产出库对象 db_assets_stock_out
 *
 * @author xtd
 * @date 2020-04-16
 */
public class DbAssetsStockOut extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long aId;

    /** 出库类型 */
    @Excel(name = "出库类型")
    private String stockType;

    /** 出库时间 */
    @Excel(name = "出库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date stockOutTime;

    /** 领用部门id */
    @Excel(name = "领用部门id")
    private Long depId;

    /** 领用部门名称 */
    @Excel(name = "领用部门名称")
    private String depName;

    /** 领用人id */
    @Excel(name = "领用人id")
    private Long leadUserId;

    /** 领用人 */
    @Excel(name = "领用人")
    private String leadUser;

    /** 资产类型 */
    @Excel(name = "资产类型")
    private Long dbMaterielId;

    /** 资产id */
    @Excel(name = "资产id")
    private Long dbAsStId;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String dbAsStName;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String dbAsStNumber;

    private String instanceId;
    /**
     * 任务id
     */
    private String taskId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public void setaId(Long aId)
    {
        this.aId = aId;
    }

    public Long getaId()
    {
        return aId;
    }
    public void setStockType(String stockType)
    {
        this.stockType = stockType;
    }

    public String getStockType()
    {
        return stockType;
    }
    public void setStockOutTime(Date stockOutTime)
    {
        this.stockOutTime = stockOutTime;
    }

    public Date getStockOutTime()
    {
        return stockOutTime;
    }
    public void setDepId(Long depId)
    {
        this.depId = depId;
    }

    public Long getDepId()
    {
        return depId;
    }
    public void setDepName(String depName)
    {
        this.depName = depName;
    }

    public String getDepName()
    {
        return depName;
    }
    public void setLeadUserId(Long leadUserId)
    {
        this.leadUserId = leadUserId;
    }

    public Long getLeadUserId()
    {
        return leadUserId;
    }
    public void setLeadUser(String leadUser)
    {
        this.leadUser = leadUser;
    }

    public String getLeadUser()
    {
        return leadUser;
    }
    public void setDbMaterielId(Long dbMaterielId)
    {
        this.dbMaterielId = dbMaterielId;
    }

    public Long getDbMaterielId()
    {
        return dbMaterielId;
    }
    public void setDbAsStId(Long dbAsStId)
    {
        this.dbAsStId = dbAsStId;
    }

    public Long getDbAsStId()
    {
        return dbAsStId;
    }
    public void setDbAsStName(String dbAsStName)
    {
        this.dbAsStName = dbAsStName;
    }

    public String getDbAsStName()
    {
        return dbAsStName;
    }
    public void setDbAsStNumber(String dbAsStNumber)
    {
        this.dbAsStNumber = dbAsStNumber;
    }

    public String getDbAsStNumber()
    {
        return dbAsStNumber;
    }
    public void setInstanceId(String instanceId)
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId()
    {
        return instanceId;
    }
    public void setState(Integer state)
    {
        this.state = state;
    }

    public Integer getState()
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("aId", getaId())
            .append("stockType", getStockType())
            .append("stockOutTime", getStockOutTime())
            .append("depId", getDepId())
            .append("depName", getDepName())
            .append("leadUserId", getLeadUserId())
            .append("leadUser", getLeadUser())
            .append("dbMaterielId", getDbMaterielId())
            .append("dbAsStId", getDbAsStId())
            .append("dbAsStName", getDbAsStName())
            .append("dbAsStNumber", getDbAsStNumber())
            .append("remark", getRemark())
            .append("instanceId", getInstanceId())
            .append("state", getState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
